local line = 0
local lineheight = 25
local startline = 255
local textOffset = 35
local margin = 20
local collumnWidth = 200
local collumnNumber = 0

local function Pos()
	
	x = margin + collumnWidth * collumnNumber
	y = startline - (lineheight * line)

	line = line + 1
	if line % 22 == 0 then 
			collumnNumber = collumnNumber + 1 
			line = 0
	end
	return x,y
end

local function Text(text, Parent)
	x,y = Pos()
	Parent.text = Parent:CreateFontString(nil, "BACKGROUND", "GameFontNormal")
	Parent.text:SetPoint("LEFT",x,y)
	Parent.text:SetText(text)
	return Parent.text
end

local function Slider(slider, parent, text, min, max, step)
	if not step then step = 1 end
	x,y = Pos()
	local slider = CreateFrame("Slider","Slider"..x..y, parent,'OptionsSliderTemplate') 
    slider:SetPoint("LEFT",x,y)
    slider:SetMinMaxValues(min, max)
    slider:SetValue(TSWconfig["minRecipeLevel"])
    slider:SetValueStep(step)
    getglobal(slider:GetName() .. 'Low'):SetText(tostring(min));
    getglobal(slider:GetName() .. 'High'):SetText(tostring(max));
    getglobal(slider:GetName() .. 'Text'):SetText(text..tostring(slider:GetValue()));
    slider:SetScript("OnValueChanged", function(self, newvalue)
		getglobal(self:GetName() .. 'Text'):SetText("Minimum skill level: "..tostring(math.floor(self:GetValue())));
		TSWconfig["minRecipeLevel"] = math.floor(self:GetValue())
	end)
end


TSW.panel = CreateFrame( "Frame", "TradeSkillWhisperConfig", UIParent );
-- Register in the Interface Addon Options GUI
-- Set the name for the Category for the Options Panel
TSW.panel.name = "Trade Skill Whisper";
-- Add the panel to the Interface Options
InterfaceOptions_AddCategory(TSW.panel);

Text("General", TSW.panel)
Text("", TSW.panel)
Slider(TSW.levelSlider, TSW.panel, "Minimum skill level: ", 1, 375, 1)



